Subject: Re: [TLS] TLS1.3

From: Peter Gutmann <[email-masked]>
Date: Sat, 16 Feb 2013 11:46:39 +0000

Wan-Teh Chang <[email-masked]> writes:
>On Mon, Feb 11, 2013 at 3:13 PM, Peter Gutmann <[email-masked]> wrote:
>> In what way would HMAC-MD5 be "too weak"?  I agree that HMAC-SHA1/
>> SHA256 are a better proposition, but using HMAC-MD5 should be up to
>> the implementer in any case. I've deprecated it for some years now, the
>> minimum I'll do is HMAC-SHA1.  It's not as if there's a shortage of suites
>> to choose from, and I've never found anything that does only -MD5 and
>> not -SHA1.
>
>There are some websites that enable only one cipher suite:
>TLS_RSA_WITH_RC4_128_MD5. You can find some examples in this Chromium bug
>report: https://code.google.com/p/chromium/issues/detail?id=118330

Hmm, interesting.  The discussion however points out that this issue is from a
misconfigured server, so I don't think it really generalises.

Peter.